Name: libsodium
Version: 1.0.18
Release: 1
License: ISC
Summary: A modern, portable, easy to use crypto library
Url: https://github.com/jedisct1/libsodium

Source0: https://download.libsodium.org/libsodium/releases/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.

It is a portable, cross-compilable, installable, packageable fork of NaCl, with a compatible API, and an extended API to improve usability even further.

Its goal is to provide all of the core operations needed to build higher-level cryptographic tools.

Sodium supports a variety of compilers and operating systems, including Windows (with MingW or Visual Studio, x86 and x64), iOS, Android, as well as Javascript and Webassembly.

%package -n libsodium23
Summary: libarchive library

%description -n libsodium23
Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.

It is a portable, cross-compilable, installable, packageable fork of NaCl, with a compatible API, and an extended API to improve usability even further.

Its goal is to provide all of the core operations needed to build higher-level cryptographic tools.

Sodium supports a variety of compilers and operating systems, including Windows (with MingW or Visual Studio, x86 and x64), iOS, Android, as well as Javascript and Webassembly.

%package devel
Summary: libsodium development files
Requires: libsodium23

%description devel
libsodium development files


%prep
%setup -q

%build
./autogen.sh

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --disable-ssp \
  --disable-asm \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  ac_cv_func_mlock=no \
  ac_cv_func_madvise=no \
  # end

%make_build


%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libsodium23
%defattr(-, qsys, *none)

%{_libdir}/libsodium.so.23

%files devel
%defattr(-, qsys, *none)

%{_includedir}/sodium/
%{_includedir}/sodium.h

%{_libdir}/pkgconfig/libsodium.pc

%{_libdir}/libsodium.so


%changelog
* Tue Jul 20 2021 Mark Irish <mirish@ibm.com> - 1.0.18
- Bump to version 1.0.18 for PyNaCl requirements

* Thu Aug 20 2020 - Naveen Ram <naveen.ram@ibm.com>
- Remove use of unimplemented functions, mlock and madvise 

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure devel package depends on lib package

* Wed May 09 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove error check

* Wed May 09 2018 - Kevin Adler <kadler@us.ibm.com>
- Add libsodium
